unit PdXReg;

interface

procedure Register;

implementation

uses Classes, DBTables, DsgnIntf, PdXFiles;

type
  TimDatabaseProperty = class(TStringProperty)
    function GetAttributes: TPropertyAttributes; override;
    procedure GetValues(Proc : TGetStrProc); override;
  end;

procedure Register;
begin
  RegisterComponents('Samples', [TPdXFile]);
  RegisterPropertyEditor(TypeInfo(string), TPdXFile, 'DatabaseName',
    TimDatabaseProperty);
end;

{ TimDatabaseProperty }

function TimDatabaseProperty.GetAttributes: TPropertyAttributes;
begin
  Result := inherited GetAttributes + [paValueList, paSortList];
end;

procedure TimDatabaseProperty.GetValues(Proc: TGetStrProc);
var
  L: TStrings;
  I: Integer;
begin
  L := TStringList.Create;
  try
    Session.GetAliasNames(L);
    for I := 0 to L.Count - 1 do
      Proc(L[I]);
  finally
    L.Free;
  end;
end;

end.
